import { ChangeDetectionStrategy, Component, Input, ViewChild } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { SettingsService } from '@app/settings/settings.service';
import { ValidationForm } from '@app/transfer/send/transfer-validation/transfer-validation.form/validation.form';

@Component({
  selector: 'app-validation',
  templateUrl: './validation.modal.html',
  styleUrls: ['./validation.modal.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ValidationModal {
  @ViewChild('form') form: ValidationForm;

  @Input() message: string;

  protected mobile = this.settingsService.mobile;

  constructor(
    private viewCtrl: ModalController,
    private settingsService: SettingsService
  ) {}

  cancel() {
    this.viewCtrl.dismiss();
  }

  doSubmit() {
    const data = this.form.value;
    this.viewCtrl.dismiss({
      codeValidation: data.codeValidation,
    });
  }
}
